import json
import os
from pathlib import Path

from opa_tools.config import get_request_dir, ROOT_DIR

REQUEST_DIR = get_request_dir()
OUTPUT_FILEPATH = ROOT_DIR / "test" / "requests_testdata.json"

def main():
    dct = {}
    for root, _, files in os.walk(REQUEST_DIR):
        for file in files:
            path = Path(root) / file
            relpath = str(path.relative_to(REQUEST_DIR))
            with open(path, "r") as rf:
                dct[relpath] = rf.read()
    with open(OUTPUT_FILEPATH, "w") as wf:
        json.dump(dct, wf)

if __name__ == "__main__":
    main()
